Skip to main content
PATCH
/
v1
/
downloads
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/downloads/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "download": {
    "enabled": false
  }
}
'
import requests

url = "https://{defaultHost}/v1/downloads/{id}"

payload = { "download": { "enabled": False } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({download: {enabled: false}})
};

fetch('https://{defaultHost}/v1/downloads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "dc2df78b-933d-46cc-986b-c02d74716e35",
  "object": "download",
  "alt": null,
  "archived": false,
  "archived_at": null,
  "name": null,
  "title": null,
  "url": null,
  "media": "15116676-ce70-4652-a549-ca4d922b05c1",
  "product": "09c2c65e-dfc1-431b-95a0-2012470fba42",
  "variant": null,
  "created_at": 1782485827,
  "updated_at": 1782485827
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
download
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

alt
string | null

The HTML alt attribute for the download.

archived
boolean

Whether or not this download is archived.

name
string | null

The name of this download which will be visible to customers. This is required if a url is used instead of attaching a Media record.

title
string | null

The HTML title attribute for the download.

url
string | null

Instead of attaching a Media record a public URL can be set. If set, customers will be directed to this URL.

archived_at
integer | null

Time at which the object was archived. Measured in seconds since the Unix epoch.

media

Expandable – The associated media ID.

product

Expandable – The associated product ID.

variant

Expandable – The associated variant ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.